Subject: bug#50748: Acknowledgement (28.0.50; tramp-sh.el uses mknod file p which is not available on macos)

From: Michael Albinus <[email-masked]>
Date: Sun, 26 Sep 2021 10:42:23 +0200

Michael Albinus <[email-masked]> writes:

Hi Damien,

>> Here it is, I also attached one with the stty command commented out
>> for reference.
>
> Nothing special in the traces, everything looks normal. So I would apply
> the following patch, could you pls test?

I have pushed this (slightly extended) to the master branch.

Additionally to your own tests, could you pls also run the following,
and show the result?

# make -C test tramp-tests SELECTOR=tramp-test30-make-process

I have instrumented this test case for macOS, so I can adapt it for
proper results then.

Best regards, Michael.